package com.dummies.silentmodetoggle.widget;

import android.appwidget.AppWidgetManager;
import android.appwidget.AppWidgetProvider;
import android.content.Context;
import android.content.Intent;

/**
 * Hauptklasse, die das Widget unserer App darstellt.
 * Ruft einen Service auf, der die Hauptarbeit erledigt.
 */
public class AppWidget extends AppWidgetProvider {

    /**
     * Wird aufgerufen, wenn das Widget zum ersten Mal erstellt wird, ebenso wie bei jedem
     * Update, wie in xml/widget_provider.xml definiert
     */
    @Override
    public void onUpdate(Context context, AppWidgetManager
            appWidgetManager, int[] appWidgetIds) {

        // Startet einen Service, sodass dieser das Widget aktualisieren
        // kann, ohne sich darum kmmern zu mssen, wie lange die Antworten
        // dauern. Das ist fr alle Widgets erforderlich, die irgendwelche
        // Ein-/Ausgaben (Netzwerk, Festplatte usw.) erledigen. Unser
        // Widget nimmt keine Ein-/Ausgaben vor, deshalb ist streng genommen
        // kein Service erforderlich, aber die Vorgehensweise ist blich,
        // deshalb sollten Sie wissen, wie sie funktioniert.
        context.startService(new Intent(context, AppWidgetService.class));
    }

}
