//Setup your test environment
//To avoid flakiness, we highly recommend that you turn off system animations on the virtual or physical device(s) used for testing.
//    Under 'Settings->Developer options' disable the following 3 settings and restart the device:



import android.app.Activity;
import android.content.Context;
import android.media.AudioManager;
import android.test.ActivityInstrumentationTestCase2;

import com.dummies.silentmodetoggle.MainActivity;
import com.dummies.silentmodetoggle.R;
import com.dummies.silentmodetoggle.util.RingerHelper;

import static android.support.test.espresso.Espresso.onView;
import static android.support.test.espresso.action.ViewActions.click;
import static android.support.test.espresso.assertion.ViewAssertions
    .matches;
import static android.support.test.espresso.matcher.ViewMatchers
    .isDisplayed;
import static android.support.test.espresso.matcher.ViewMatchers.withId;

public class SilentModeToggleEspressoTest
    extends ActivityInstrumentationTestCase2<MainActivity> 
{
    AudioManager audioManager;

    public SilentModeToggleEspressoTest() {
        super(MainActivity.class);
    }

    @Override
    public void setUp() throws Exception {
        super.setUp();
        
        // Die getestete Aktivitt laden, ggf. starten.
        // Dies muss erfolgen, bevor Sie Testflle ausfhren knnen,
        // die die Aktivitt verwenden.
        Activity activity = getActivity();
        
        // Einen AudioManager aus der Aktivitt laden
            activity.getSystemService(Context.AUDIO_SERVICE);

        // Sicherstellen, dass der normale Klingelmodus eingestellt ist
        audioManager.setRingerMode(AudioManager.RINGER_MODE_NORMAL);
    }

    public void testPhoneIconIsDisplayed() {
        // Wenn die Ansicht phone_icon verfgbar ist,,
        // prfen, ob sie angezeigt wird.
        onView(withId(R.id.phone_icon)).check(matches(isDisplayed()));
    }
    
    public void testCanToggleIcon() {
        // Wenn die Ansicht phone_icon verfgbar ist, diese anklicken
        onView(withId(R.id.phone_icon)).perform(click());

        // Dann sicherstellen, dass das Telefon jetzt im stummgeschalteten Modus arbeitet.
        assertTrue(RingerHelper.isPhoneSilent(audioManager));
    }
}
