package com.dummies.tasks.activity;

import android.app.Activity;
import android.app.Fragment;
import android.os.Bundle;
import android.widget.Toolbar;

import com.dummies.tasks.R;
import com.dummies.tasks.fragment.TaskEditFragment;
import com.dummies.tasks.interfaces.OnEditFinished;
import com.dummies.tasks.provider.TaskProvider;

/**
 * Unsere Erinnerung fr die Bearbeitungsaktivitt fr TElefone
 */
public class TaskEditActivity extends Activity implements
    OnEditFinished
{

    /**
     * Wird aufgerufen, wenn der Benutzer mit der Bearbeitung einer Task fertig ist.
     */
    @Override
    public void finishEditingTask() {
        // Wenn der Benutzer einen Editor schliet, finish aufrufen,
        // um diese Aktivitt zu zerstren.
        finish();
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_task_edit);
        setActionBar((Toolbar) findViewById(R.id.toolbar));

        // Ein neues Edit-Fragment fr die angegeben Task-ID erstellen.
        long id = getIntent().getLongExtra(TaskProvider.COLUMN_TASKID,0L);
        Fragment fragment = TaskEditFragment.newInstance(id);

        // Das Tag, mit dem wir das Fragment der Aktivitt hinzufgen.
        // Damit knnen wir von anderen Fragmenten aus auf dieses
        // Fragemnt verweisen, wie beispielsweise die Auswahldialog-
        // Fragmente fr Datum und Uhrzeit.
        String fragmentTag = TaskEditFragment.DEFAULT_FRAGMENT_TAG;

        // Das Fragment hinzufgen, falls es dem FragmentManager noch nicht
        // hinzugefgt wurde. Wenn Sie dies nicht machen, wird bei jedem
        // Aufruf dieser Methode ein neues Fragment hinzugefgt (beispielsweise
        // bei einer nderung der Ausrichtung). Das Fragment wird als
        // untergeordnetes Element der "Container"-Ansicht hinzugefgt
        if (savedInstanceState == null)
            getFragmentManager().beginTransaction().add(
                    R.id.container,
                    fragment,
                    fragmentTag).commit();
    }

}
