package com.dummies.tasks.fragment;

import android.app.DatePickerDialog;
import android.app.DatePickerDialog.OnDateSetListener;
import android.app.Dialog;
import android.app.DialogFragment;
import android.os.Bundle;

import java.util.Calendar;

/**
 * Schlanker Wrapper fr einen DatePickerDialog, der den Dialog
 * in ein Fragment einpackt.
 */
public class DatePickerDialogFragment extends DialogFragment {
    static final String YEAR = "year";
    static final String MONTH = "month";
    static final String DAY = "day";

    public static DatePickerDialogFragment newInstance(
            Calendar date) {
        DatePickerDialogFragment fragment =
                new DatePickerDialogFragment();

        Bundle args = new Bundle();
        args.putInt(YEAR, date.get(Calendar.YEAR));
        args.putInt(MONTH, date.get(Calendar.MONTH));
        args.putInt(DAY, date.get(Calendar.DAY_OF_MONTH));
        fragment.setArguments(args);

        return fragment;
    }

    @Override
    public Dialog onCreateDialog(Bundle savedInstanceState) {

        // Das TaskEditFragment finden, das diesen Dialog erzeugt hat.
        // Wir verwenden dieses Fragment als Edit-Callback, wenn der
        // Benutzer also ein neues Datum in unserem Auswahldialog
        // auswhlt, ruft der Dialog wieder das Edit-Fragment auf,
        // um das neue Datum einzustellen.
        OnDateSetListener callback = (OnDateSetListener)
                getFragmentManager()
                        .findFragmentByTag
                                (TaskEditFragment
                                        .DEFAULT_FRAGMENT_TAG);

        // Einen neuen DatePicker-Dialog erstellen, der von diesem
        // Fragment aufgenommen wird. Jahr, Monat und Tag auf die
        // im args-Bundle angegebenen Werte setzen
        Bundle args = getArguments();
        return new DatePickerDialog(getActivity(), callback,
                args.getInt(YEAR),
                args.getInt(MONTH),
                args.getInt(DAY));
    }
}