package com.dummies.tasks.fragment;

import android.app.Dialog;
import android.app.DialogFragment;
import android.app.TimePickerDialog;
import android.app.TimePickerDialog.OnTimeSetListener;
import android.os.Bundle;

import java.util.Calendar;

/**
 * Schlanker Wrapper fr einen DatePickerDialog, der den Dialog
 * in ein Fragment einpackt.
 */
public class TimePickerDialogFragment extends DialogFragment {
    static final String HOUR = "hour";
    static final String MINS = "mins";

    public static TimePickerDialogFragment newInstance(
            Calendar time) {

        TimePickerDialogFragment fragment =
                new TimePickerDialogFragment();

        Bundle args = new Bundle();
        args.putInt(HOUR, time.get(Calendar.HOUR_OF_DAY));
        args.putInt(MINS, time.get(Calendar.MINUTE));
        fragment.setArguments(args);
        return fragment;
    }

    @Override
    public Dialog onCreateDialog(Bundle savedInstanceState) {
        // Das TaskEditFragment finden, das diesen Dialog erzeugt hat.
        // Wir verwenden dieses Fragment als Edit-Callback, wenn der
        // Benutzer also eine neue Uhrzeit in unserem Auswahldialog
        // auswhlt, ruft der Dialog wieder das Edit-Fragment auf,
        // um die neue Uhrzeit einzustellen.
        OnTimeSetListener listener = (OnTimeSetListener)
                getFragmentManager()
                        .findFragmentByTag(
                                TaskEditFragment
                                        .DEFAULT_FRAGMENT_TAG);

        // Einen neuen DatePicker-Dialog erstellen, der von diesem
        // Fragment aufgenommen wird. Stunden und Minuten auf die
        // im args-Bundle angegebenen Werte setzen
        Bundle args = getArguments();
        return new TimePickerDialog(getActivity(), listener,
                args.getInt(HOUR),
                args.getInt(MINS), false);
    }
}